# SoapClient::__setCookie

(PHP 5 >= 5.0.4, PHP 7)

SoapClient::__setCookie — The __setCookie purpose

### Description

public SoapClient::__setCookie ( string `$name` [, string `$value` ] ) : void

Defines a cookie to be sent along with the SOAP requests.

> Note:

> Calling this method will affect all following calls to SoapClient methods.

### Parameters

`name`

  The name of the cookie.

`value`

  The value of the cookie. If not specified, the cookie will be deleted.

### Return Values

No value is returned.